<?php

namespace Drupal\ptools\Plugin;

/**
 * Common interface for applicable plugin types.
 *
 * An applicable plugin can decide whether it applies to a specific context.
 */
interface ApplicablePluginInterface {

  /**
   * Checks whether this plugin is applicable to the specified context.
   *
   * @param mixed $context
   *   Arbitrary data useful to determine applicability.
   *
   * @return bool
   *   TRUE if the plugin applies to the specified context, FALSE otherwise.
   */
  public function appliesTo($context);

}
