<?php

namespace Drupal\ptools\Plugin;

/**
 * Exception thrown when no plugin applies to the specified context.
 */
class InvalidApplicablePluginContextException extends \InvalidArgumentException {

  /**
   * The plugin context.
   *
   * @var mixed
   */
  protected $context;

  /**
   * InvalidApplicablePluginContextException constructor.
   *
   * @param mixed $context
   *   The plugin context.
   */
  public function __construct($context) {
    parent::__construct('No plugin applies to the specified context.');
    $this->context = $context;
  }

  /**
   * Returns the invalid plugin context.
   *
   * @return mixed
   *   The plugin context.
   */
  public function getContext() {
    return $this->context;
  }

}
