<?php

namespace Drupal\ptools\Plugin;

/**
 * Base class for plugins.
 */
class PluginBase implements PluginInterface {

  /**
   * The plugin definition.
   *
   * @var array
   */
  protected $definition;

  /**
   * Constructs a plugin.
   *
   * @param array $definition
   *   The plugin definition.
   */
  public function __construct(array $definition) {
    $this->definition = $definition;
  }

  /**
   * {@inheritdoc}
   */
  public function getName() {
    return $this->definition['name'];
  }

  /**
   * {@inheritdoc}
   */
  public function getLabel() {
    return isset($this->definition['label']) ? $this->definition['label'] : '';
  }

}
