<?php

namespace Drupal\ptools\Plugin;

/**
 * Common interface for generic plugin factories.
 */
interface PluginFactoryInterface {

  /**
   * Returns a plugin instance.
   *
   * @param string $name
   *   The plugin name.
   *
   * @return object
   *   A plugin instance.
   *
   * @throws \InvalidArgumentException
   *   If no matching plugin was found.
   */
  public function getPlugin($name);

  /**
   * Returns all the defined plugin instances.
   *
   * @return object[]
   *   An array of plugin instances.
   */
  public function getPlugins();

}
