<?php

namespace Drupal\ptools\Render;

/**
 * Base class for view builders.
 */
abstract class ViewBuilderBase {

  /**
   * Builds a placeholder.
   *
   * @param string $title
   *   The placeholder title.
   *
   * @return array
   *   A render array.
   */
  protected function buildPlaceholder(string $title) : array {
    $build = $this->buildTitle($title);
    $build['#attributes']['class'][] = 'placeholder';
    return $build;
  }

  /**
   * Builds a title.
   *
   * @param string $title
   *   The title.
   *
   * @return array
   *   A render array.
   */
  protected function buildTitle(string $title) : array {
    return [
      '#theme' => 'html_tag__title',
      '#tag' => 'h3',
      '#value' => check_plain($title),
    ];
  }

}
