<?php

namespace Drupal\ptools\Utils;

/**
 * Class collecting HTML markup-related helper methods.
 */
class Markup {

  /**
   * Converts an HTML markup string to plain text.
   *
   * @param string $markup
   *   An HTML markup string.
   *
   * @return string
   *   A plain text string.
   */
  public static function toPlainText($markup) {
    return html_entity_decode(strip_tags($markup));
  }

  /**
   * Checks whether the specified string is HTML markup.
   *
   * @param string $markup
   *   An arbitrary string.
   *
   * @return bool
   *   TRUE if the string is HTML markup, FALSE otherwise.
   */
  public static function isPlainText($markup) {
    $plain_text = static::toPlainText($markup);
    return strlen($markup) == strlen($plain_text);
  }

}
