<?php

namespace Drupal\ptools\Utils;

/**
 * Class collecting text-related helper methods.
 */
class Text {

  /**
   * Encodes a string into a machine name.
   *
   * @param string $string
   *   A human readable string.
   *
   * @return string
   *   A machine-name string.
   */
  public static function toMachineName($string) {
    return str_replace(' ', '_', drupal_strtolower($string));
  }

  /**
   * Decodes a string from machine name.
   *
   * @param string $string
   *   A machine-name string.
   *
   * @return string
   *   A human readable string.
   */
  public static function fromMachineName($string) {
    return str_replace('_', ' ', $string);
  }

}
